Name:            rng-tools
Version:         6.5
Release:         3
Summary:         Random number generator daemon
License:         GPLv2+
URL:             https://github.com/nhorman/rng-tools
Source0:         https://github.com/nhorman/rng-tools/archive/v%{version}.tar.gz
Source1:         rngd.service
Source2:         jitterentropy-library-2.2.0.tar.gz

Patch0:          jitterentropy-remove-install.patch
Patch1:          backport-Default-to-one-thread-if-getaffinity-returns-an-erro.patch
Patch2:          backport-Obey-restrictions-on-x86_rdrand_bytes-usage.patch

#Dependency
BuildRequires:   gcc make gettext systemd autoconf automake
BuildRequires:   libgcrypt-devel libsysfs-devel libcurl-devel libxml2-devel openssl-devel
Requires:        libgcrypt libsysfs openssl libxml2 libcurl
%{?systemd_requires}

%description
Rng-tools is a random number generator daemon.It monitors a set of entropy sources,
and supplies entropy from them to the system kernel's /dev/random machinery.

%package_help

%prep
%autosetup -n %{name}-%{version} -a 2 -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install

install -D -t $RPM_BUILD_ROOT%{_unitdir} -m 0644 %{SOURCE1}

%pre

%post
%systemd_post rngd.service

%preun
%systemd_preun rngd.service

%postun
%systemd_postun_with_restart rngd.service

%files
%defattr(-,root,root)
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/rngtest
%{_sbindir}/rngd
%attr(0644,root,root) %{_unitdir}/rngd.service

%files help
%{_mandir}/man1/rngtest.1.*
%{_mandir}/man8/rngd.8.*

%changelog
* Sat Dec 19 2020 yangzhuangzhuang <yangzhuangzhuang1@huawei.com> - 6.5-3
- fix rngd.service coredump

* Thu Dec 10 2020 yangzhuangzhuang <yangzhuangzhuang1@huawei.com> - 6.5-2
- fix rngd.service coredump

* Sat Aug 29 2020 Yeqing Peng <pengyeqing@huawei.com> - 6.5-1
- since 6.6, jitterentropy-library is independed from rng-tools,
  no any entropy source will lead to rng-tools service fail.

* Mon Aug 03 2020 Yeqing Peng <pengyeqing@huawei.com> - 6.10-1
- update to 6.10

* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 6.3.1-4
- add jitterentropy support

* Wed Feb 19 2020 wanjiankang <wanjiankang@huawei.com> - 6.3.1-3
- Package init
